curl --request GET \
--url 'https://api.benzinga.com/api/v2/news?token=' \
--header 'accept: <accept>'import requests
url = "https://api.benzinga.com/api/v2/news?token="
headers = {"accept": "<accept>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {accept: '<accept>'}};
fetch('https://api.benzinga.com/api/v2/news?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 36444586,
"author": "Benzinga Insights",
"created": "Mon, 01 Jan 2024 13:35:14 -0400",
"updated": "Mon, 01 Jan 2024 13:35:15 -0400",
"title": "10 Information Technology Stocks With Whale Alerts In Today's Session",
"teaser": "",
"body": "",
"url": "https://www.benzinga.com/markets/options/24/01/36444586/10-information-technology-stocks-with-whale-alerts-in-todays-session",
"image": [
{
"size": "thumb",
"url": "https://cdn.benzinga.com/files/imagecache/250x187xUP/images/story/2023/options_image_2.jpeg"
},
{
"size": "small",
"url": "https://cdn.benzinga.com/files/imagecache/1024x768xUP/images/story/2023/options_image_2.jpeg"
},
{
"size": "large",
"url": "https://cdn.benzinga.com/files/imagecache/2048x1536xUP/images/story/2023/options_image_2.jpeg"
}
],
"channels": [
{
"name": "WIIM"
}
],
"stocks": [
{
"name": "AAPL",
"cusip": "037833100",
"isin": "US0378331005",
"exchange": "NASDAQ"
},
{
"name": "CLSK",
"cusip": "18452B209",
"isin": "US18452B2097",
"exchange": "NASDAQ"
},
{
"name": "NVDA",
"cusip": "67066G104",
"isin": "US67066G1040",
"exchange": "NASDAQ"
},
{
"name": "ORCL",
"cusip": "68389X105",
"isin": "US68389X1054",
"exchange": "NYSE"
},
{
"name": "TSM",
"cusip": "874039100",
"isin": "US8740391003",
"exchange": "NYSE"
}
],
"tags": [
{
"name": "BZI-AUOA"
}
]
}
]
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Why Is It Moving (WIIMs)
This REST API returns structured data for news. For optimal performance, limit the scope of the query using parameters such as tickers, date, and channels, or use updatedSince for deltas. Page offsets are limited from 0 - 100000.
[
{
"id": 36444586,
"author": "Benzinga Insights",
"created": "Mon, 01 Jan 2024 13:35:14 -0400",
"updated": "Mon, 01 Jan 2024 13:35:15 -0400",
"title": "10 Information Technology Stocks With Whale Alerts In Today's Session",
"teaser": "",
"body": "",
"url": "https://www.benzinga.com/markets/options/24/01/36444586/10-information-technology-stocks-with-whale-alerts-in-todays-session",
"image": [
{
"size": "thumb",
"url": "https://cdn.benzinga.com/files/imagecache/250x187xUP/images/story/2023/options_image_2.jpeg"
},
{
"size": "small",
"url": "https://cdn.benzinga.com/files/imagecache/1024x768xUP/images/story/2023/options_image_2.jpeg"
},
{
"size": "large",
"url": "https://cdn.benzinga.com/files/imagecache/2048x1536xUP/images/story/2023/options_image_2.jpeg"
}
],
"channels": [
{
"name": "WIIM"
}
],
"stocks": [
{
"name": "AAPL",
"cusip": "037833100",
"isin": "US0378331005",
"exchange": "NASDAQ"
},
{
"name": "CLSK",
"cusip": "18452B209",
"isin": "US18452B2097",
"exchange": "NASDAQ"
},
{
"name": "NVDA",
"cusip": "67066G104",
"isin": "US67066G1040",
"exchange": "NASDAQ"
},
{
"name": "ORCL",
"cusip": "68389X105",
"isin": "US68389X1054",
"exchange": "NYSE"
},
{
"name": "TSM",
"cusip": "874039100",
"isin": "US8740391003",
"exchange": "NYSE"
}
],
"tags": [
{
"name": "BZI-AUOA"
}
]
}
]
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Authorizations
API key authentication. Provide your API key as a query parameter.
Headers
Specify return format
application/json, application/xml Query Parameters
Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date.
Number of results returned. Maximum 100.
x <= 100Specify headline only (headline), headline + teaser (abstract), or headline + full body (full) text
full, abstract, headline The date to query for news. Shorthand for dateFrom and dateTo if they are the same. Format: yyyy-mm-dd
Date to query from point in time. Sorted by published date. Format: yyyy-mm-dd
Date to query to point in time. Sorted by published date. Format: yyyy-mm-dd
The last updated Unix timestamp (UTC) to pull and sort by
The last published Unix timestamp (UTC) to pull and sort by
Allows control of results sorting. Default is created, DESC. Format: field:direction. Sort Fields: id, created, updated. Sort Order: asc (ascending), desc (descending)
id:asc, id:desc, created:asc, created:desc, updated:asc, updated:desc One or more ISINs separated by a comma. Maximum 50. Format: csv
One or more CUSIPs separated by a comma. Maximum 50. License agreement required. Format: csv
One or more ticker symbols separated by a comma. Maximum 50. Format: csv
One or more primary ticker symbols separated by a comma. Filters by primary ticker association only. Format: csv
One or more channel names or IDs separated by a comma. Format: csv
One or more words/phrases separated by a comma; searches Title, Tags, and Body in order of priority. Format: csv
Logical operator for topics query. Use 'and' to require all topics, 'or' to require any topic
and, or One or more authors separated by a comma. Format: csv
One or more content types separated by a comma. Format: csv
Specify the desired format for the api response
text Filter by importance level
Filter by importance rank (1-5)
Filter by region (e.g., 'ca' or 'canada' for Canadian content)
Response
success
The author of the article. This could be a Benzinga journalist, news desk analyst or contributor on benzinga.com
"Benzinga Newsdesk"
The article content. This field can contain HTML and HTML encoded characters
The topic(s) or categories that relate to the article. Channels can have sub-channels, but they will all be listed as their own item. For Why is it Moving (WIIM) data, use 'WIIM' as channel
Show child attributes
Show child attributes
The moment the article is created. The time zone is GMT-4 (EDT). This timestamp will not change. Format: RFC 2822 / RFC 1123
"Wed, 17 May 2017 14:20:15 -0400"
The unique identifier of the article. This identifier is also found in the path of url on benzinga.com
123456
The featured image related to the article, if applicable. Benzinga Pro headlines will not contain a featured image
Show child attributes
Show child attributes
The importance rank of the article on a scale of 1 (Low) to 5 (High). Defaults to 1 when not set
1
Original article ID if this is a referenced or related article
The stock symbols that are listed within the article body. This will not display competitor symbols unless they are specifically referenced in the article
Show child attributes
Show child attributes
Additional tags that are not channels or categories, but are recurring themes including analyst names, bills, products, politicians, celebrities, stock movements
Show child attributes
Show child attributes
Depending on content source: for full articles, this is the first sentence up to 256 characters; for Pro headlines, provides additional context. This field can contain HTML and HTML encoded characters
The headline of the article. This will only be plain text
"Apple Announces New iPhone"
The timestamp of the last update to the article. The time zone is GMT-4 (EDT). This timestamp has the ability to change one or many times. Format: RFC 2822 / RFC 1123
"Wed, 17 May 2017 14:20:15 -0400"
The url where the article lives on benzinga.com
"https://www.benzinga.com/news/123456"
Was this page helpful?